Skip to content

/locations

Auction Locations

Release Notes

September 2023

  • Added more output fields to the response for all API endpoints as below:

    • secondaryPhone
    • locationInformation

April 2023

  • Added locationVisible parameter in the request of GET /locations endpoint.

January 2023

  • Added possible input values for operatedBy parameter in the request of GET /locations endpoint as below:

    • ALLIANCE_AUTO_AUCTION
    • AMERICAS_AUTO_AUCTION_INC
    • AMERICAN_AUTO_AUCTION_GROUP
    • AUTONATION_AUTO_AUCTION
    • DEALERS_AUTO_AUCTION
    • SERVNET_AUCTIONS
    • TCB_REMARKETING_LLC
    • XLERATE
  • Added possible output values for operatedBy field in the response of both endpoints as below:

    • ALLIANCE AUTO AUCTION
    • AMERICA'S AUTO AUCTION, INC.
    • AMERICAN AUTO AUCTION GROUP
    • AUTONATION AUTO AUCTION
    • DEALER'S AUTO AUCTION
    • SERVNET AUCTIONS
    • TCB REMARKETING LLC
    • XLERATE

July 2022

  • Moved Atlas APIs to Location Manager APIs.

  • Added more output fields to the response for all API endpoints as below:

    • locationSubType
    • systemId
    • visible
    • region

    Note: Only internal users can receive these fields in the API responses.

February 2019

  • Added response parameters "latitude" and "longitude" to the response for all API endpoints.

Overview

The Locations API allows users to retrieve descriptive information about the following location types:

  • Manheim Auction Locations
  • Distribution Centers
  • Offsite Locations
  • Independent Auctions

Details for each method are provided.

URLs and Environments

The base URL for the Locations API is /locations. This document describes each method endpoint starting with this base URL.

Actual requests will require the protocol and host URL for one of the Manheim environments:

  • QA: https://integration1.api.manheim.com
  • Pre-Production: https://uat.api.manheim.com
  • Production: https://api.manheim.com

See API Access and Environments for more information about Manheim API environments.

Retrieve All Locations

Endpoint

GET /locations

Description

This method allows the API user to view all available vehicle locations including Manheim auctions, distribution centers, offsite locations and independent auctions.

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKContains a list of locationsSuccessful response; no actions necessary
400 Bad RequestERROR: Contains details about the parameter that is in errorQuery string may be invalid; check and resubmit
401 UnauthorizedERROR: Developer inactiveToken may be malformed or the user does not have access; check the request or contact us for API access
404 Not FoundERROR: Please verify your request parametersURL may be malformed; check and resubmit
405 Method Not AllowedERROR: Please verify your request parametersHTTP method is invalid; check that it is a "GET" request and resubmit
596 596ERROR: 596 Service Not FoundURL may be malformed; check and resubmit

Request Parameters

This method may include query string parameters in the URL. Any combination of the parameters in the following table may be included in the request to "Retrieve All Locations."

ParameterTypeDescription
locationActiveBooleanLocations that are currently active; accepted values are "true" or "false"
locationTypeStringType of location from the accepted values "AUCTION", "DISTRIBUTION_CENTER" or "OFFSITE"
operatedByStringOwner of the location from accepted values "ABC", "ADESA", "ALLIANCE_AUTO_AUCTION", "AMERICAS_AUTO_AUCTION_INC", "AMERICAN_AUTO_AUCTION_GROUP", "AUTONATION_AUTO_AUCTION", "DEALERS_AUTO_AUCTION", "INDEPENDENT", "MANHEIM", "SERVNET_AUCTIONS", "TCB_REMARKETING_LLC" or "XLERATE"
countryStringCountry of the location from accepted values "CAN" or "USA"
locationVisibleBooleanLocations that are visible on https://www.manheim.com; accepted values are "true" or "false"

Example Request

The following is an example of the request to "Retrieve All Locations" using optional query string parameters.

GET https://uat.api.manheim.com/locations?operatedBy=manheim&locationType=auction&locationActive=true&country=USA

Response Parameters

If the field is described as an array, then the field may be repeated any number of times to reflect all output elements which were selected based on the request.

The overall response to "Retrieve All Locations" contains the following fields.

FieldTypeDescription
hrefStringURL of the request excluding any optional query parameters used
countIntegerTotal number of locations returned based on the request and any query string
items-Contains an array of location information

Each location within the "items" array has the following fields.

FieldTypeDescription
hrefStringUnique URL for a certain location
locationTypeStringDescribes the location based on the following allowed values: "AUCTION", "DISTRIBUTION CENTER", "OFFSITE LOCATION"
locationSubTypeStringDescribes the location based on the following allowed values: "SIGNED", "UNSIGNED", "UNSIGNED PLUS", "TEMPORARY"
operatedByStringDescribes the company which operates the location from the following allowed values: "ABC", "ADESA", "ALLIANCE AUTO AUCTION", "AMERICA'S AUTO AUCTION, INC.", "AMERICAN AUTO AUCTION GROUP", "AUTONATION AUTO AUCTION", "DEALER'S AUTO AUCTION", "INDEPENDENT", "MANHEIM", "SERVNET AUCTIONS", "TCB REMARKETING LLC", "XLERATE"
locationNameStringName of the location
locationCodeStringUnique Manheim code to identify a certain location
address-Contains an array of information about the address of a location
address.address1StringStreet address of the location
address.address2StringAdditional street address line of the location
address.cityStringCity of the location
address.stateProvinceRegionStringState or province of the location
address.countryStringCountry of the location
address.postalCodeStringPostal code of the location
address.latitudeStringGeographic coordinate that specifies the north–south position of the location on the Earth's surface.
address.longitudeStringGeographic coordinate that specifies the east-west position of the location on the Earth's surface.
contactPhoneStringPrimary phone number of the location
secondaryPhoneStringSecondary phone number of the location
contact-Contains an array of information about a contact for the location
contact.phoneStringPhone number of the contact
contact.faxStringFax number of the contact
contact.emailStringEmail address of the contact
contact.homeUrlStringHome URL for a contact
locationPersonnel-Contains an array of a location's staff members
locationPersonnel.titleStringTitle of the listed staff member
locationPersonnel.nameStringName of the staff member
timeZoneStringDescribes the time zone of the location
locationActiveBooleanMay be "true" for an active location or "false" or an inactive location
locationInformationStringMay be hours of operation, picking up vehicles and key information during holidays, outages, and other pickup-impacting events
hrLocationCodeStringHuman Resources code ( i.e., PeopleSoft) of the location
numberOfLanesIntegerNumber of lanes at the location
auctionConvertedBooleanMay be "true" for Manheim auctions that are G2G converted or "false" for auctions that are not converted
convertedDateDateProvides a G2G auction conversion date, if one is available (includes pending scheduled dates)
saleDaysStringOne or more days listed when the location conducts sales from the following list: "SUNDAY", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY"
systemIdStringThe source system of the location data
visibleString"X" indicates that the location is visible on https://www.manheim.com otherwise the location is not visible on this website.
regionStringThe region id. Locations will be divided into 8-9 regions across USA and Canada

Example JSON Response

The following is a shortened sample of the response the user would receive for a request to "Retrieve All Locations."

{
    "href": "https://uat.api.manheim.com/locations",
    "count": 4,
    "items": [
        {
            "href": "https://uat.api.manheim.com/locations/id/AAA",
            "locationType": "AUCTION",
            "locationSubType": "SIGNED",
            "operatedBy": "MANHEIM",
            "locationName": "Manheim Atlanta",
            "locationCode": "AAA",
            "address": {
                "address1": "4900 Buffington Rd",
                "city": "Atlanta",
                "stateProvinceRegion": "GA",
                "country": "USA",
                "postalCode": "30349",
                "latitude": "33.62121",
                "longitude": "-84.49565"
            },
            "contactPhone": "404.762.9211",
            "secondaryPhone": "+14041029382",
            "contact": {
                "phone": "404.762.9211",
                "fax": "404-669-5865",
                "email": "dealerservices.aaa@coxautoinc.com"
            },
            "timeZone": "America/New_York",
            "locationActive": true,
            "locationInformation": "Mon - Fri 09:00 AM ~ 03:00 PM",
            "hrLocationCode": "AAA",
            "numberOfLanes": 0,
            "auctionConverted": true,
            "convertedDate": "2017-03-11 00:00:00",
            "systemId": "IND",
            "visible": "X",
            "region": "1"
        },
        {
            "href": "https://uat.api.manheim.com/locations/id/AAAI",
            "locationType": "AUCTION",
            "locationSubType": "UNSIGNED",
            "operatedBy": "MANHEIM",
            "locationName": "Manheim New England",
            "locationCode": "AAAI",
            "address": {
                "address1": "123 Williams St",
                "city": "North Dighton",
                "stateProvinceRegion": "MA",
                "country": "USA",
                "postalCode": "02764-0001",
                "latitude": "41.8722",
                "longitude": "-71.16284"
            },
            "contactPhone": "508.823.6600",
            "secondaryPhone": "508.147.2233",
            "contact": {
                "phone": "508.823.6600",
                "fax": "(508) 880-8682",
                "email": "dealerservices.aaai@coxautoinc.com"
            },
            "timeZone": "America/New_York",
            "locationActive": true,
            "locationInformation": "Mon - Fri 09:00 AM ~ 03:00 PM",
            "hrLocationCode": "AAAI",
            "numberOfLanes": 0,
            "auctionConverted": true,
            "systemId": "BRA",
            "convertedDate": "2017-04-15 00:00:00"
        },
        {
            "href": "https://uat.api.manheim.com/locations/id/AARD",
            "locationType": "DISTRIBUTION CENTER",
            "locationSubType": "SIGNED",
            "operatedBy": "INDEPENDENT",
            "locationName": "AVIS/RICHMOND",
            "locationCode": "AARD",
            "address": {
                "address1": "5421 Eubank Road",
                "city": "Sandston",
                "stateProvinceRegion": "VA",
                "country": "USA",
                "postalCode": "23150",
                "latitude": "37.51103",
                "longitude": "-77.34199"
            },
            "contactPhone": "804.236.2250",
            "secondaryPhone": "209.357.2468 ext 123",
            "contact": {
                "phone": "804.236.2250"
            },
            "locationActive": true,
            "visible": "X"
        },
        {
            "href": "https://uat.api.manheim.com/locations/id/AARK",
            "locationType": "AUCTION",
            "locationSubType": "UNSIGNED PLUS",
            "operatedBy": "ADESA",
            "locationName": "Adesa Shreveport",
            "locationCode": "AARK",
            "address": {
                "address1": "7666 Greenwood Rd",
                "city": "Shreveport",
                "stateProvinceRegion": "LA",
                "country": "USA",
                "postalCode": "71119",
                "latitude": "32.44699",
                "longitude": "-93.9232"
            },
            "contactPhone": "318.938.7903",
            "contact": {
                "phone": "318.938.7903",
                "fax": "318-938-7623"
            },
            "locationActive": true,
            "region": "1"
        }
    ]
}

Retrieve a Location by ID

Endpoint

GET /locations/id/ID

The "ID" in the URL above should be replaced by a unique Manheim location code.

Description

This method allows the API user to retrieve information about a single location.

Common Return Codes

Response CodeResponse MessagePossible Next Actions
200 OKIncludes the requested information about a single locationSuccessful response; no actions necessary
401 UnauthorizedERROR: Developer inactiveAPI token may be malformed or invalid; check and resubmit
404 Not FoundERROR: Varies; message contains details about the errorLocation ID or URL may be malformed; check that the location exists and the URL and resubmit
405 Method Not AllowedERROR: Please verify your request parametersHTTP method is invalid; check that it is a "GET" request and resubmit
596 596ERROR: Service not foundURL may be malformed; check and resubmit

Request Parameters

This method only requires the "ID" of the location in the URL.

Example Request

The user may submit a request to "Retrieve a Location by ID" for any valid location from the list retrieved by the "Retrieve All Locations" method, such as the following example.

GET https://uat.api.manheim.com/locations/id/AAAI

Response Parameters

This method returns the same fields as an individual location from the method response for "Retrieve All Locations."

Example JSON Response

The request to retrieve information about location ID "AAAI" shown in the "Example Request" above would return a response similar to the following.

{
    "href": "https://uat.api.manheim.com/locations/id/AAAI",
    "locationType": "AUCTION",
    "locationSubType": "SIGNED",
    "operatedBy": "MANHEIM",
    "locationName": "Manheim New England",
    "locationCode": "AAAI",
    "address": {
        "address1": "123 Williams St",
        "city": "North Dighton",
        "stateProvinceRegion": "MA",
        "country": "USA",
        "postalCode": "02764-0001",
        "latitude": "41.8722",
        "longitude": "-71.16284"
    },
    "contactPhone": "508.823.6600",
    "secondaryPhone": "508.147.2233",
    "contact": {
        "phone": "508.823.6600",
        "fax": "(508) 880-8682",
        "email": "dealerservices.aaai@coxautoinc.com"
    },
    "timeZone": "America/New_York",
    "locationActive": true,
    "locationInformation": "Mon - Fri 09:00 AM ~ 03:00 PM",
    "hrLocationCode": "AAAI",
    "numberOfLanes": 0,
    "auctionConverted": true,
    "convertedDate": "2017-04-15 00:00:00",
    "systemId": "ADS",
    "visible": "X",
    "region": "1"
}